/*
	ChatServer object that creates registry and binds the Service

	Author : Dattaraj J. Rao		dattarajrao@yahoo.com
*/

import java.rmi.*;
import java.rmi.registry.*;

import java.util.*;

public class ChatServer
{
	public static void main(String[] args) 
	{
		// Set port and name of server //
		String SERVER_NAME;
		int PORT;

		if(args.length==2)
		{
			SERVER_NAME=args[0];
			try
			{
				PORT=Integer.parseInt(args[1]);
			}
			catch(Exception e)
			{
				PORT=1055;
			}
		}
		else
		{
			SERVER_NAME="localhost";
			PORT=1055;
		}

		Registry registry=null;
		registry=LocateRegistry.getRegistry(PORT);
		registry.list();

		// Create service and bind it //
		try
		{
                        /*
                         * STUDENTS LOOK HERE
                         *
                         * You need to create a new instance of the
                         * ChatService object, called "service",
                         * and then tell the register that its name
                         * is "ChatService". This will enable clients
                         * to find the ChatService, by contacting the 
                         * registry
                         */

			System.out.println("Service Started");
		}
		catch(Exception e)
		{
			System.out.println(e);
		}
	}
}
